package com.nanri.aiimage.modules.ziniao.client;

import com.nanri.aiimage.modules.ziniao.model.cache.ZiniaoShopCacheDto;
import com.nanri.aiimage.modules.ziniao.model.vo.ZiniaoStaffItemVo;

import java.util.List;

public interface ZiniaoClient {
    Long getCompanyIdByApiKey(String apiKey);

    List<ZiniaoStaffItemVo> listStaff(String apiKey, Long companyId);

    List<ZiniaoShopCacheDto> listUserStores(String apiKey, Long companyId, Long userId);

    String getUserLoginToken(String apiKey, Long companyId, Long userId);
}
